#
# spec file for package vlock (Version 1.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           vlock
BuildRequires:  pam-devel
Version:        1.3
Release:        544.2
PreReq:         permissions
Autoreqprov:    on
Group:          System/Console
License:        GPL
URL:            ftp://tsx-11.mit.edu:/pub/linux/sources/usr.bin/
Summary:        It allows you to lock your console display.
Source:         %{name}-%{version}.tar.bz2
Source1:        README.SUSE
Patch:          %{name}-%{version}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is vlock, the Linux _V_irtual Console locking program.  It allows
you to lock one or all of the sessions of your Linux console display.



Authors:
--------
    Michael K. Johnson <johnsonm@redhat.com>

%debug_package
%prep
%setup -q
%patch

%build
make %{?jobs:-j%jobs} RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Wall"

%install
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install vlock $RPM_BUILD_ROOT%{_bindir}/
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 vlock.1 $RPM_BUILD_ROOT%{_mandir}/man1/
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
install -m 644 vlock.pamd $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/vlock
install -m 644 %SOURCE1 .

%post
%run_permissions

%verifyscript
%verify_permissions -e %{_bindir}/vlock

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.SUSE COPYING
%doc %{_mandir}/man?/*
%verify(not mode) %attr(0755,root,shadow) %{_bindir}/vlock
%config %{_sysconfdir}/pam.d/vlock

%changelog -n vlock
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - schwab@suse.de
- Don't strip binaries.
* Mon Nov 15 2004 - kukuk@suse.de
- Use common-* PAM config files
* Tue Feb 24 2004 - mjancar@suse.cz
- ignore SIGTERM (#34129)
* Thu Jan 15 2004 - kukuk@suse.de
- Add pam-devel to neededforbuild
* Thu Oct 30 2003 - mjancar@suse.cz
- fix permissions
- no root for build
* Fri Feb 07 2003 - kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Fri Aug 24 2001 - ro@suse.de
- removed /lib/security path from pam.d config file
* Thu Oct 19 2000 - cihlar@suse.cz
- package created
